package cn.gzkx.satokenauth.service;

import cn.dev33.satoken.stp.StpUtil;
import org.springframework.stereotype.Service;

import java.util.Arrays;

/**
 * @author: zqm
 * @desc：
 * @date: 2025/1/7 下午5:19
 */
@Service
public class PermissionService {
    public void assignPermissions(String userId) {
        // 根据角色分配权限
        String role = (String) StpUtil.getSessionByLoginId(userId).get("role");

        if ("admin".equals(role)) {
            // 管理员拥有所有权限
            StpUtil.getSession().set("permissions", Arrays.asList("user:view", "user:edit"));
        } else if ("user".equals(role)) {
            // 普通用户仅有查看权限
            StpUtil.getSession().set("permissions", Arrays.asList("user:view"));
        }
    }
}
